Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.util.debug
Class StreamAppender

    java.lang.Object
      com.enterprisedt.util.debug.StreamAppender

All Implemented Interfaces:
  Appender

Direct Known Subclasses:
  MemoryAppender

    public class StreamAppender

extends java.lang.Object
implements Appender

Appends log statements to a given stream.

Version:
  $Revision$
Author:
  Hans Andersen

Field Summary
`protected java.io.PrintWriter` | `log` Writer used to write to the buffer.
`protected java.io.OutputStream` | `outStr`

Fields inherited from interface com.enterprisedt.util.debug.Appender
`cvsId`

Constructor Summary
`StreamAppender(java.io.OutputStream outStr)` Creates a StreamAppender using the given stream.

Method Summary
`void` | `close()` Close this appender
`void` | `log(java.lang.String msg)` Log a message
`void` | `log(java.lang.Throwable t)` Log a stack trace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected java.io.PrintWriter log

  Writer used to write to the buffer.

### outStr

    protected java.io.OutputStream outStr

Constructor Detail

### StreamAppender

    public StreamAppender(java.io.OutputStream outStr)

  Creates a StreamAppender using the given stream.

  Parameters:
    `outStr` - Stream to write logging to.

Method Detail

### close

    public void close()

  Description copied from interface: `Appender`
  Close this appender

  Specified by:
    `close` in interface `Appender`

### log

    public void log(java.lang.String msg)

  Description copied from interface: `Appender`
  Log a message

  Specified by:
    `log` in interface `Appender`
  Parameters:
    `msg` - message to log

### log

    public void log(java.lang.Throwable t)

  Description copied from interface: `Appender`
  Log a stack trace

  Specified by:
    `log` in interface `Appender`
  Parameters:
    `t` - throwable object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.